#include "FK.h"

Serial pc(USBTX,USBRX);
Timer t;

int main() { 

    Positions pos;  
    
    while(1){
        // Get the foot positions...
        pos =  FK_Engine();
    
        // Print the results
        pc.printf("\r F_RHS X = %.0f, Y = %.0f Z = %.0f   ",pos.X_fore_right,pos.Y_fore_right,pos.Z_fore_right);
        pc.printf("F_LHS X = %.0f, Y = %.0f Z = %.0f      ",pos.X_fore_left,pos.Y_fore_left,pos.Z_fore_left);
        pc.printf("H_RHS X = %.0f, Y = %.0f Z = %.0f   ",pos.X_hind_right,pos.Y_hind_right,pos.Z_hind_right);
        pc.printf("H_LHS X = %.0f, Y = %.0f Z = %.0f      ",pos.X_hind_left,pos.Y_hind_left,pos.Z_hind_left);
        
        // Wait 100 ms
        wait(0.1);      
    }
}